3C589_CS(4)

NAME
3c589_cs - 3Com 3c589 Etherlink III device driver

SYNOPSIS
insmod 3c589_cs.o [pc_debug= n] [if_port= n] [irq_list= i,j,...]

DESCRIPTION
3c589_cs is the low-level Card Services driver for the 3Com 3c589 PCMCIA ethernet adapter and 3Com 3c562/3c563 combo cards. When this driver is attached to a card, it allocates the next available ethernet device (eth0..eth#). This device name will be reported in the kernel log file, and passed on to cardmgr(8).

With the default transceiver setting, the driver will attempt to continuously autodetect the transceiver type (10base2 or 10baseT). There should normally only be a one or two second lag before the correct transceiver is selected. On particularly noisy or busy networks, it is possible for the detection logic to incorrectly toggle the transceiver type. If this becomes a problem, it may be necessary to explicitly select the interface type when the module is loaded or with the ifport command.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

if_port=n
    Selects the transceiver type. 0 is autodetect (10baseT or 10base2), 1 is 10baseT (twisted pair), 2 is 10base2 (BNC, or thin net). and 3 is AUI (thick ethernet). The default is 0 (autodetect).

irq_list=i,j,...
    Specifies the set of interrupts that may be allocated by this driver.

DIAGNOSTICS

eth#: interrupt(s) dropped!
    Indicates that the driver did not receive an interrupt notification for some reason. The driver will poll the card (with a significant performance penalty) if the problem persists. The most likely cause is an interrupt conflict and/or host bridge configuration problem.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
cardmgr(8), pcmcia(5), ifport(8).